## ViscousFlow.jl

_A framework for simulating viscous incompressible flows_

| Documentation | Build Status |
|:---:|:---:|
| [![docs](https://img.shields.io/badge/docs-latest-blue.svg)](https://JuliaIBPM.github.io/ViscousFlow.jl/latest) | [![Build Status](https://travis-ci.com/JuliaIBPM/ViscousFlow.jl.svg?branch=master)](https://travis-ci.com/JuliaIBPM/ViscousFlow.jl) [![Build status](https://ci.appveyor.com/api/projects/status/pktmkyq4mwwtkf77/branch/master?svg=true)](https://ci.appveyor.com/project/JuliaIBPM/viscousflow-jl/branch/master) [![codecov](https://codecov.io/gh/JuliaIBPM/ViscousFlow.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/JuliaIBPM/ViscousFlow.jl) |

## About the package

The purpose of this package is to enable easy setup and solution of viscous incompressible flows about bodies of various shapes. Documentation can be found at https://JuliaIBPM.github.io/ViscousFlow.jl/latest.

**ViscousFlow.jl** is registered in the general Julia registry. To install, type
e.g.,
```julia
] add ViscousFlow
```

Then, in any version, type
```julia
julia> using ViscousFlow
```
For examples, consult the documentation or see the example Jupyter notebooks in the Examples folder.

![](https://github.com/jdeldre/ViscousFlow.jl/raw/master/cylinderRe400.gif)
